Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.tdk.signaturetest.util
Class SwissKnife

    java.lang.Object
      com.sun.tdk.signaturetest.util.SwissKnife

    public class SwissKnife

extends java.lang.Object

Method Summary
`static java.io.FileInputStream` | `approveFileInputStream(java.lang.String name)`
`static java.io.FileReader` | `approveFileReader(java.lang.String name)`
`static boolean` | `canBeSubclassed(ClassDescription cd)`
`static boolean` | `equals(java.lang.Object x, java.lang.Object y)` Determines whether the object `x` is equal to object `y`.
`static void` | `reportThrowable(java.lang.Throwable t)`
`static void` | `reportThrowable(java.lang.Throwable t, java.io.PrintWriter pw)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### equals

    public static boolean equals(java.lang.Object x,
                                 java.lang.Object y)

  Determines whether the object `x` is equal to object `y`. If ( `x` == `null`) and ( `y` == `null`) the result is true.

  Parameters:
    `x` - - first comparable object, may by `null`
    `y` - - second comparable object, may by `null`
  Returns:
    true if x equal to y

### canBeSubclassed

    public static boolean canBeSubclassed(ClassDescription cd)

### reportThrowable

    public static void reportThrowable(java.lang.Throwable t)

### reportThrowable

    public static void reportThrowable(java.lang.Throwable t,
                                       java.io.PrintWriter pw)

### approveFileReader

    public static java.io.FileReader approveFileReader(java.lang.String name)
                                                throws java.io.FileNotFoundException

  Throws:
    `java.io.FileNotFoundException`

### approveFileInputStream

    public static java.io.FileInputStream approveFileInputStream(java.lang.String name)
                                                          throws java.io.FileNotFoundException

  Throws:
    `java.io.FileNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD